package com.ai.android.ExerciseSystemIntents;

import android.app.AlertDialog;
import android.app.Dialog;
import android.content.Context;

public class GenericManagedAlertDialog implements IDialogProtocol
{
	private String alertMessage = null;
	private Context ctx = null;
	public GenericManagedAlertDialog(Context inCtx, String initialMessage)
	{
		alertMessage = initialMessage;
		ctx = inCtx;
	}
	public Dialog create()
	{
    	AlertDialog.Builder builder = new AlertDialog.Builder(ctx);
    	builder.setTitle("Alert");
    	builder.setMessage(alertMessage);
    	EmptyOnClickListener l = new EmptyOnClickListener();
    	builder.setPositiveButton("Ok", l );
    	AlertDialog ad = builder.create();
    	return ad;
	}
	
	public void prepare(Dialog dialog)
	{
    	AlertDialog ad = (AlertDialog)dialog;
    	ad.setMessage(alertMessage);
	}
	public void setAlertMessage(String inAlertMessage)
	{
		alertMessage = inAlertMessage;
	}
}
